> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set relationship

> Set relationships between models within a connector dataset, or between native object models within the native dataset. Native unify models are not supported.



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /storage/relationships
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/relationships:
    post:
      tags:
        - Storage - Relationships
      summary: Set relationship
      description: >-
        Set relationships between models within a connector dataset, or between
        native object models within the native dataset. Native unify models are
        not supported.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                datasetUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Dataset UUID
                  description: Dataset identifier.
                relationships:
                  type: array
                  items:
                    type: object
                    properties:
                      fromModelUuid:
                        type: string
                      fromColumnSlug:
                        type: string
                      fromPropertySlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      toModelUuid:
                        type: string
                      toColumnSlug:
                        type: string
                      toPropertySlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      fromSelectedColumnSlugs:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      toSelectedColumnSlugs:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      relation:
                        type: string
                        enum:
                          - oneToMany
                          - oneToOne
                          - manyToOne
                      uuid:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    required:
                      - fromModelUuid
                      - fromColumnSlug
                      - fromPropertySlug
                      - toModelUuid
                      - toColumnSlug
                      - toPropertySlug
                      - fromSelectedColumnSlugs
                      - toSelectedColumnSlugs
                      - relation
                  title: Relationships
                  description: Relationships to create or update.
              required:
                - datasetUuid
                - relationships
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  relationships:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        workspaceUuid:
                          type: string
                        fromDatasetUuid:
                          type: string
                        fromModelUuid:
                          type: string
                        fromColumnSlug:
                          type: string
                        fromPropertySlug:
                          anyOf:
                            - type: string
                            - type: 'null'
                        toDatasetUuid:
                          type: string
                        toModelUuid:
                          type: string
                        toColumnSlug:
                          type: string
                        toPropertySlug:
                          anyOf:
                            - type: string
                            - type: 'null'
                        fromSelectedColumnSlugs:
                          anyOf:
                            - type: array
                              items:
                                type: string
                            - type: 'null'
                        toSelectedColumnSlugs:
                          anyOf:
                            - type: array
                              items:
                                type: string
                            - type: 'null'
                        relation:
                          type: string
                          enum:
                            - oneToMany
                            - oneToOne
                            - manyToOne
                      required:
                        - uuid
                        - workspaceUuid
                        - fromDatasetUuid
                        - fromModelUuid
                        - fromColumnSlug
                        - fromPropertySlug
                        - toDatasetUuid
                        - toModelUuid
                        - toColumnSlug
                        - toPropertySlug
                        - fromSelectedColumnSlugs
                        - toSelectedColumnSlugs
                        - relation
                      additionalProperties: false
                    title: Relationships
                    description: Updated relationships.
                required:
                  - relationships
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````